libvisio::VSDLayer Struct Reference

`#include <VSDLayerList.h>`

## Public Member Functions

| VSDLayer ()
| VSDLayer (const VSDLayer &layer)
| ~VSDLayer ()
VSDLayer & | operator= (const VSDLayer &layer)

## Public Attributes

std::optional< Colour > | m_colour
bool | m_visible
bool | m_printable

## Constructor & Destructor Documentation

## VSDLayer() [1/2]

libvisio::VSDLayer::VSDLayer | ( |  | ) |

Referenced by VSDLayer().

## VSDLayer() [2/2]

libvisio::VSDLayer::VSDLayer | ( | const VSDLayer & | layer | ) |

## ~VSDLayer()

libvisio::VSDLayer::~VSDLayer | ( |  | ) |

## Member Function Documentation

## operator=()

libvisio::VSDLayer & libvisio::VSDLayer::operator= | ( | const VSDLayer & | layer | ) |

## Member Data Documentation

## m_colour

std::optional<Colour> libvisio::VSDLayer::m_colour

Referenced by operator=(), libvisio::VSDParser::readLayer(), libvisio::VSDXMLParserBase::readLayerIX(), VSDLayer(), and VSDLayer().

## m_printable

bool libvisio::VSDLayer::m_printable

Referenced by operator=(), libvisio::VSDParser::readLayer(), libvisio::VSDXMLParserBase::readLayerIX(), VSDLayer(), and VSDLayer().

## m_visible

bool libvisio::VSDLayer::m_visible

Referenced by operator=(), libvisio::VSDParser::readLayer(), libvisio::VSDXMLParserBase::readLayerIX(), VSDLayer(), and VSDLayer().

The documentation for this struct was generated from the following files:

- VSDLayerList.h
- VSDLayerList.cpp